import React from "react";
import { Link } from "react-router-dom";
import Cookies from "js-cookie";

import "./index.scss";
import Star from "../../assets/img/star.ico";
import LogoutButton from "../buttons/LogoutButton";

const Navbar = () => {
	return (
		<div className="navbar">
			<div className="navbar__LeftSide">
				<Link to="/">
					<img
						src={Star}
						className="navbar__Icon"
						alt="Temporary icon"
						width="25"
						height="25"
					/>
					<p className="navbar__BrandName">Registra</p>
				</Link>
			</div>
			<div className="navbar__RightSide">
				<Link to="/signup">
					<button>S'inscrire</button>
				</Link>
				<Link to="/login">
					<button>Se connecter</button>
				</Link>
				<button>Profil</button>
				<LogoutButton />
			</div>
		</div>
	);
};

export default Navbar;
