import React, { useState, useEffect } from "react";
import Cookies from "js-cookie";
import "./index.scss";

import post from "../../../services/request/Post";

const LoginForm = () => {
	const [userData, setUserData] = useState(null);

	const handleSubmit = (event) => {
		event.preventDefault();
		const formdata = new FormData(event.currentTarget);
		setUserData({
			...userData,
			email: formdata.get("email"),
			password: formdata.get("password")
		});
	};

	const handleLogin = async (data) => {
		if (data) {
			let body = {
				user: { email: data.email, password: data.password }
			};
			const response = await post("/tokens", body);
			if (response) {
				Cookies.set("token", response.data.token, { sameSite: "strict" });
				// Pass the token in a Context
				// ...
			}
		}
	};

	useEffect(() => {
		handleLogin(userData);
	}, [userData]);

	return (
		<div className="LoginForm">
			<form action="" onSubmit={handleSubmit}>
				<label htmlFor="email">Adresse email</label>
				<input type="email" id="email" name="email" />

				<label htmlFor="password">Mot de passe</label>
				<input type="password" id="password" name="password" />

				<button type="submit">Valider</button>
			</form>
		</div>
	);
};

export default LoginForm;
